# -*- coding: utf-8 -*-

try:
    from secrets import token_hex  # For python 3.6 and higher
except ImportError:
    from os import urandom  # For python less than 3.6


    def token_hex(nbytes=None):
        return urandom(nbytes).hex()

from flask import Flask
from flask_sqlalchemy import SQLAlchemy

app = Flask(__name__)

app.config['SECRET_KEY'] = token_hex(16)
app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///site.db'

db = SQLAlchemy(app)

from landing import routes
