# -*- coding: utf-8 -*-

import random

from sqlalchemy import text

from flask import render_template, url_for, request, abort, redirect, flash

from landing import app
from landing import db

@app.route('/', methods=['GET', 'POST'])
@app.route('/home', methods=['GET', 'POST'])
def home():
    return render_template("index.html")

@app.route('/users')
def users():
    users_active = db.engine.execute('SELECT * FROM users where status = 1')
    return render_template('table.html', users=users_active)


@app.route('/by-login', methods=['POST'])
def get_user_login():
    login = request.form.get('login')

    if login is not None:
        user_query = db.engine.execute("SELECT * FROM users where login = '%s'" % login)

        try:
            user = next(user_query)
            return render_template('about.html', user=user, status=True)
        except StopIteration:
            pass

    abort(404)


@app.route('/by-id', methods=['POST'])
def get_user_id():
    id = request.form.get('id')

    if id is not None:
        user_query = db.engine.execute("SELECT * FROM users where id = %s" % id)

        try:
            user = next(user_query)
            return render_template('about.html', user=user, status=True)
        except StopIteration:
            pass

    abort(404)


@app.route('/search')
def get_user():
    return render_template("search.html")


@app.errorhandler(404)
def page_not_found(error):
    number = random.randint(0, 7)
    name = "img/404-" + str(number) + ".jpg"
    return render_template("404.html", filename=url_for('static', filename=name)), 404
